# ISP
Date: 2018-01-28

data

## Class ISP

- java.lang.Object
- - data.ISP

All Implemented Interfaces:
  AffichableSurIRC

    public class ISP
    extends java.lang.Object
    implements AffichableSurIRC

### Field Summary

Fields
`private CoveredAreas[]` `coveredAreas`
`private ISPdata` `data`
`private java.lang.String` `date_added`
`private int` `id`
`private boolean` `isFFDNMember`
`private java.lang.String` `last_update`
`private java.lang.String` `name`

### Fields inherited from interface main.AffichableSurIRC

`MAX_CHARACTERS`

### Constructor Summary

Constructors
Constructor and Description
`ISP(java.lang.String name, int id, boolean isFFDNMember, java.lang.String date_added, java.lang.String last_update, ISPdata data, CoveredAreas[] ca)` Constructeur principal de la classe.

### Method Summary

All Methods Instance Methods Concrete Methods
`private java.lang.String` `booleanToOuiNon(boolean b)`
`java.util.List<java.lang.String>` `contact()`
`java.lang.String` `getBetterName()` Méthode pour récuperer le nom le plus correct pour afficher les informations.
`CoveredAreas` `getCoveredArea(java.lang.String name)` Récupere la zone couverte correspondante au paramètre
`CoveredAreas[]` `getCoveredAreas()`
`java.util.List<CoveredAreas>` `getCoveredAreas(java.lang.String name)` Récupere la zone couverte correspondante au paramètre
`ISPdata` `getData()`
`java.lang.String` `getDate_added()`
`int` `getId()`
`java.lang.String` `getLast_update()`
`int` `getMembersCount()`
`java.lang.String` `getName()`
`java.lang.String` `getShortestName()` Méthode pour récuperer le plus court des noms du FAI, c'est à dire, si il existe shortname, sinon name
`private java.lang.String` `getShortName()`
`int` `getSubscribersCount()`
`java.lang.String` `getWorstName()` Inverse de getBetterName.
`boolean` `isFFDNMember()`
`void` `setData(ISPdata data)`
`void` `setDate_added(java.lang.String date_added)`
`void` `setFFDNMember(boolean isFFDNMember)`
`void` `setId(int id)`
`void` `setLast_update(java.lang.String last_update)`
`void` `setName(java.lang.String name)`
`java.lang.String` `toString()`
`java.util.List<java.lang.String>` `toStringIRC()` Renvoie une Liste de chaine de caractères pour permettre l'affichage sur IRC ligne par ligne, bien que le \n ne soit pas interprété.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### name

    private java.lang.String name

#### id

    private int id

#### isFFDNMember

    private boolean isFFDNMember

#### date_added

    private java.lang.String date_added

#### last_update

    private java.lang.String last_update

#### data

    private ISPdata data

#### coveredAreas

    private CoveredAreas[] coveredAreas

### Constructor Detail

#### ISP

    public ISP(java.lang.String name,
               int id,
               boolean isFFDNMember,
               java.lang.String date_added,
               java.lang.String last_update,
               ISPdata data,
               CoveredAreas[] ca)

Constructeur principal de la classe.

Parameters:
  `name` - Nom du FAI
  `id` - Identifiant unique sur DB
  `isFFDNMember` - est il membre de FFDN
  `date_added` - Date d'ajout
  `last_update` - Date de mise a jour sur DB
  `data` - Data correspondant au champ étendu sur db
  `ca` - Zones couvertes

### Method Detail

#### getShortestName

    public java.lang.String getShortestName()

Méthode pour récuperer le plus court des noms du FAI, c'est à dire, si il existe shortname, sinon name

Returns:
  Le nom le plus court du FAI

#### getBetterName

    public java.lang.String getBetterName()

Méthode pour récuperer le nom le plus correct pour afficher les informations. Si il n'y a pas de Shortname alors name sera utilisé. Si name possède des espaces alors le shortname sera utilisé. Si name est plus long que 15 caractères alors shortname sera utilisé. Sinon, on utilise Name

Returns:
  Le meilleur nom utilisable pour l'affichage.

#### getWorstName

    public java.lang.String getWorstName()

Inverse de getBetterName. Le but est dans le cadre de l'affichage de plusieurs noms

Returns:
  Le moins bon nom pour l'affichage

#### setName

    public void setName(java.lang.String name)

#### setData

    public void setData(ISPdata data)

#### getName

    public java.lang.String getName()

#### getData

    public ISPdata getData()

#### getId

    public int getId()

#### setId

    public void setId(int id)

#### isFFDNMember

    public boolean isFFDNMember()

#### setFFDNMember

    public void setFFDNMember(boolean isFFDNMember)

#### getDate_added

    public java.lang.String getDate_added()

#### setDate_added

    public void setDate_added(java.lang.String date_added)

#### getLast_update

    public java.lang.String getLast_update()

#### setLast_update

    public void setLast_update(java.lang.String last_update)

#### getMembersCount

    public int getMembersCount()

#### getSubscribersCount

    public int getSubscribersCount()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### booleanToOuiNon

    private java.lang.String booleanToOuiNon(boolean b)

#### toStringIRC

    public java.util.List<java.lang.String> toStringIRC()

Renvoie une Liste de chaine de caractères pour permettre l'affichage sur IRC ligne par ligne, bien que le \n ne soit pas interprété.

Specified by:
  `toStringIRC` in interface `AffichableSurIRC`
Returns:
  Une Liste de chaine correspondant à toutes les lignes que le bot doit écrire

#### getShortName

    private java.lang.String getShortName()

#### getCoveredAreas

    public CoveredAreas[] getCoveredAreas()

#### getCoveredArea

    public CoveredAreas getCoveredArea(java.lang.String name)

Récupere la zone couverte correspondante au paramètre

Parameters:
  `name` - Nom de la zone
Returns:
  la première Zone correspondante au nom.

#### getCoveredAreas

    public java.util.List<CoveredAreas> getCoveredAreas(java.lang.String name)

Récupere la zone couverte correspondante au paramètre

Parameters:
  `name` - Nom de la zone
Returns:
  toutes les Zones correspondante au nom.

#### contact

    public java.util.List<java.lang.String> contact()